# Uses of Interface
org.jboss.logmanager.handlers.ClientSocketFactory

Packages that use ClientSocketFactory
Package
Description
org.jboss.logmanager.handlers

## Uses of ClientSocketFactory in org.jboss.logmanager.handlers

Methods in org.jboss.logmanager.handlers that return ClientSocketFactory
Modifier and Type
Method
Description
`static ClientSocketFactory`
ClientSocketFactory.`of(InetAddress address, int port)`
Creates a new default implementation of the factory which uses `SocketFactory.getDefault()` for TCP sockets and `new DatagramSocket()` for UDP sockets.
`static ClientSocketFactory`
ClientSocketFactory.`of(SocketFactory socketFactory, InetAddress address, int port)`
Creates a new default implementation of the factory which uses the provided socket factory to create TCP connections and `new DatagramSocket()` for UDP sockets.
Methods in org.jboss.logmanager.handlers with parameters of type ClientSocketFactory
Modifier and Type
Method
Description
`void`
SocketHandler.`setClientSocketFactory(ClientSocketFactory clientSocketFactory)`
Sets the client socket factory used to create sockets.
`void`
SyslogHandler.`setClientSocketFactory(ClientSocketFactory clientSocketFactory)`
Sets the client socket factory used to create sockets.
Constructors in org.jboss.logmanager.handlers with parameters of type ClientSocketFactory
Modifier
Constructor
Description
``
`SocketHandler(ClientSocketFactory clientSocketFactory, SocketHandler.Protocol protocol)`
Creates a socket handler.
``
`TcpOutputStream(ClientSocketFactory socketFactory, boolean blockOnReconnect)`
Creates a new TCP stream which uses the `createSocket()` to create the socket.
``
`UdpOutputStream(ClientSocketFactory socketManager)`